| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_add_descr_params_t Struct Reference
Common service definitions

Add descriptor parameters structure. More...

`#include <ble_srv_common.h>`

## Data Fields
uint16_t | uuid
uint8_t | uuid_type
bool | is_defered_read
bool | is_defered_write
bool | is_var_len
security_req_t | read_access
security_req_t | write_access
bool | is_value_user
uint16_t | init_len
uint16_t | init_offs
uint16_t | max_len
uint8_t * | p_value

## Detailed Description

Add descriptor parameters structure.

This structure contains the parameters needed to use the descriptor_add function.

## Field Documentation

uint16_t ble_add_descr_params_t::init_len

Initial descriptor value length in bytes.

uint16_t ble_add_descr_params_t::init_offs

Initial descriptor value offset in bytes. If different from zero, the first init_offs bytes of the attribute value will be left uninitialized.

bool ble_add_descr_params_t::is_defered_read

Indicate if deferred read operations are supported.

bool ble_add_descr_params_t::is_defered_write

Indicate if deferred write operations are supported.

bool ble_add_descr_params_t::is_value_user

Indicate if the content of the characteristic is to be stored in the application (user) or in the stack.

bool ble_add_descr_params_t::is_var_len

Indicates if the descriptor value has variable length.

uint16_t ble_add_descr_params_t::max_len

Maximum descriptor value length in bytes, see Maximum attribute lengths for maximum values.

uint8_t* ble_add_descr_params_t::p_value

Pointer to the value of the descriptor

security_req_t ble_add_descr_params_t::read_access

Security requirement for reading the descriptor value.

uint16_t ble_add_descr_params_t::uuid

descriptor UUID (16 bits UUIDs).

uint8_t ble_add_descr_params_t::uuid_type

Base UUID. If 0, the Bluetooth SIG UUID will be used. Otherwise, this should be a value returned by sd_ble_uuid_vs_add when adding the base UUID.

security_req_t ble_add_descr_params_t::write_access

Security requirement for writing the descriptor value.